Chart-1.9.5: A library for generating 2D Charts and Plots

Copyright | (c) Tim Docker 2006 2014
License | BSD-style (see chart/COPYRIGHT)
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.Chart.Plot.Hidden

Description

Plots that don't show, but occupy space so as to effect axis scaling

Synopsis

- data PlotHidden x y = PlotHidden {
  - _plot_hidden_x_values :: [x]
  - _plot_hidden_y_values :: [y]
  }
- plot_hidden_x_values :: forall x1 y x2 f. Functor f => ([x1] -> f [x2]) -> PlotHidden x1 y -> f (PlotHidden x2 y)
- plot_hidden_y_values :: forall x y1 y2 f. Functor f => ([y1] -> f [y2]) -> PlotHidden x y1 -> f (PlotHidden x y2)

# Documentation

data PlotHidden x y Source #

Value defining some hidden x and y values. The values are not displayed, but they still affect axis scaling.

Constructors

PlotHidden |

Fields

- _plot_hidden_x_values :: [x]
- _plot_hidden_y_values :: [y]

#### Instances

Instances details

ToPlot PlotHidden Source # |
Instance details Defined in Graphics.Rendering.Chart.Plot.Hidden Methods toPlot :: PlotHidden x y -> Plot x y Source #

plot_hidden_x_values :: forall x1 y x2 f. Functor f => ([x1] -> f [x2]) -> PlotHidden x1 y -> f (PlotHidden x2 y) Source #

plot_hidden_y_values :: forall x y1 y2 f. Functor f => ([y1] -> f [y2]) -> PlotHidden x y1 -> f (PlotHidden x y2) Source #